import BaseApp, { AppOptions } from './BaseApp';
export interface InceptumAppOptions extends AppOptions {
    enableAdminPort?: boolean;
    enableHealthChecks?: boolean;
    enableMetrics?: boolean;
}
export declare const DEFAULT_INCEPTUM_APP_OPTIONS: InceptumAppOptions;
export declare class InceptumApp extends BaseApp {
    /**
     * Creates a new Inceptum App
     */
    constructor(options?: InceptumAppOptions);
}
export declare class TestInceptumApp extends InceptumApp {
    constructor(ops?: {});
    start(): Promise<void>;
}
