"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonProvider = void 0;
// tslint:disable:prefer-function-over-method
const lodash_1 = require("lodash");
class JsonProvider {
    constructor(config) {
        this.config = config;
    }
    hasConfig(key) {
        return Boolean((0, lodash_1.get)(this.config, key));
    }
    getConfig(key, defaultValue) {
        return (0, lodash_1.get)(this.config, key) || defaultValue;
    }
}
exports.JsonProvider = JsonProvider;
//# sourceMappingURL=JsonProvider.js.map