import 'reflect-metadata';
export declare const INCEPTUM_METADATA_KEY = "inceptum";
export declare class InceptumMetadata {
    autowire: Map<string, string>;
    defaultValue: Map<string, string>;
    lazy: boolean;
    startMethod: string;
    stopMethod: string;
    groups: string[];
}
export declare function hasDecoratorMetadata(target: any): boolean;
export declare function getDecoratorMetadata(target: any): InceptumMetadata;
export declare function Autowire(what: string): (target: any, key: string) => void;
export declare function AutowireContext(target: any, key: string): void;
export declare function AutowireConfig(configKey: string, defaultValue?: any): (target: any, key: string) => void;
export declare function AutowireGroup(groupName: string): (target: any, key: string) => void;
export declare function AutowireGroupDefinitions(groupName: string): (target: any, key: string) => void;
export declare function Lazy(lazy: boolean): (target: any) => void;
export declare function StartMethod(target: any, key: string): void;
export declare function StopMethod(target: any, key: string): void;
export declare function RegisterInGroup(groupName: string): (target: any) => void;
