import { HealthCheck, HealthCheckResult, HealthCheckType } from '../health/HealthCheck';
import { MySQLClient } from './MySQLClient';
export declare class MySQLHealthCheck extends HealthCheck {
    private readonly;
    mysqlClient: MySQLClient;
    constructor(name: string, readonly: boolean);
    getType(): HealthCheckType;
    doCheck(): Promise<HealthCheckResult>;
}
