import { ExtendedError } from '../util/ErrorUtil';
import { PublishOptions } from './RabbitmqClient';
export interface MessageInfo {
    queueName: string;
    messageContent: string;
    options?: PublishOptions;
}
export declare class RabbitmqConsumerHandlerError extends ExtendedError {
    messageInfo: MessageInfo;
}
export declare class RabbitmqConsumerHandlerUnrecoverableError extends RabbitmqConsumerHandlerError {
}
