import { ExtendedError } from '../util/ErrorUtil';
export default class HttpError extends ExtendedError {
    statusCode: number;
    constructor(statusCode: number, message: string, cause?: Error);
    getStatusCode(): number;
    static notFound(message: any): HttpError;
}
