import 'reflect-metadata';
export declare const INCEPTUM_WEB_METADATA_KEY = "inceptum-web";
export interface InceptumWebRouteMetadata {
    verb?: string;
    path: string;
    methodName: string;
}
export declare class InceptumWebMetadata {
    routes: InceptumWebRouteMetadata[];
}
export declare function hasWebDecoratorMetadata(target: any): boolean;
export declare function getWebDecoratorMetadata(target: any): InceptumWebMetadata;
export declare namespace WebDecorator {
    function Get(path: string): (target: any, key: string) => void;
    function Post(path: string): (target: any, key: string) => void;
    function Put(path: string): (target: any, key: string) => void;
    function Delete(path: string): (target: any, key: string) => void;
    function Route(verb: string, path: string): (target: any, key: string) => void;
}
