"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadRequestError = void 0;
const HttpError_1 = require("../HttpError");
/**
 * 400 Bad Request
 * This response means that server could not understand the request due to invalid syntax.
 */
class BadRequestError extends HttpError_1.default {
    constructor(message, cause) {
        super(400, message, cause);
    }
}
exports.BadRequestError = BadRequestError;
//# sourceMappingURL=BadRequestError.js.map