"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotFoundError = void 0;
const HttpError_1 = require("../HttpError");
/**
 * 404 Not Found
 * The server has not found anything matching the Request-URI.
 * No indication is given of whether the condition is temporary or permanent.
 */
class NotFoundError extends HttpError_1.default {
    constructor(message, cause) {
        super(404, message, cause);
    }
}
exports.NotFoundError = NotFoundError;
//# sourceMappingURL=NotFoundError.js.map