"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* tslint:disable:prefer-function-over-method */
const config = require("config");
class Config {
    hasConfig(key) {
        return config.has(key);
    }
    getConfig(key, defaultValue) {
        if (!config.has(key) && defaultValue !== undefined) {
            return defaultValue;
        }
        return config.get(key);
    }
}
exports.default = Config;
//# sourceMappingURL=ConfigProvider.js.map