import BaseApp, { Plugin, PluginContext } from '../app/BaseApp';
import { HealthCheck, HealthCheckGroup } from './HealthCheck';
export declare class HealthCheckManager extends HealthCheckGroup {
    healthChecksToRegister: HealthCheck[];
    start(): void;
    stop(): void;
}
export default class HealthCheckPlugin implements Plugin {
    name: string;
    getName(): string;
    willStart(app: BaseApp, pluginContext: PluginContext): void;
    didStart(app: BaseApp, pluginContext: PluginContext): void;
}
