import { Logger } from '../../log/LogManager';
import { SingletonDefinition } from './SingletonDefinition';
export declare class PreinstantiatedSingletonDefinition<T> extends SingletonDefinition<T> {
    constructor(instance: T, name?: string, logger?: Logger);
    getInstance(): Promise<T>;
    protected doStart(): Promise<void>;
    protected doStop(): Promise<void>;
    protected getCopyInstance(): PreinstantiatedSingletonDefinition<T>;
}
