/// <reference types="node" />
import { Logger } from '../log/LogManager';
export interface Message {
    content: Buffer;
    fields: any;
    properties: any;
}
export declare abstract class RabbitmqConsumerHandler {
    protected logger: Logger;
    /**
     *
     * @param message
     * @throws RabbitmqConsumerHandlerError
     */
    abstract handle(message: Message): Promise<void>;
}
