import { HealthCheck, HealthCheckResult, HealthCheckType } from '../health/HealthCheck';
import { Logger } from '../log/LogManager';
import { RabbitmqMgtHttpApi } from './RabbitmqMgtHttpApi';
export declare class RabbitmqHealthCheck extends HealthCheck {
    rabbitmqMgtHttpApi: RabbitmqMgtHttpApi;
    protected logger: Logger;
    constructor(name: string);
    doCheck(): Promise<HealthCheckResult>;
    getType(): HealthCheckType;
}
