import { AxiosResponse } from 'axios';
import { RabbitmqClientConfig } from './RabbitmqConfig';
export interface RabbitmqNodeHealthCheckResult {
    status: string;
    reason?: string;
}
export declare class RabbitmqMgtHttpApi {
    rabbitmqConfig: RabbitmqClientConfig;
    /**º
     * Runs basic healthchecks in the current node
     */
    ping(): Promise<RabbitmqNodeHealthCheckResult>;
    protected sendRequest(method: any, url: any, params?: any): Promise<AxiosResponse>;
}
