export interface SqsClientConfigObject {
    apiVersion?: string;
    region?: string;
    queueUrl?: string;
}
export declare class SqsClient {
    static startMethod: string;
    name: string;
    private connection;
    configuration: SqsClientConfigObject;
    constructor(config: SqsClientConfigObject, name: string);
    initialise(): void;
    sendMessage(params: any, cb: (err: any, data: any) => void): Promise<any>;
}
