export default class SwaggerRouterMiddleware {
    context: any;
    handlerCache: Map<string, any>;
    constructor(context: any);
    hasController(req: any): boolean;
    register(expressApp: any): Promise<void>;
    /**
     * @private
     * @param controllerName
     * @returns {*}
     */
    getControllerObjectPromise(controllerName: any): any;
    /**
     * @private
     * @param req
     * @returns Function
     */
    getControllerHandler(req: any): Promise<any>;
    /**
     * @private
     * @param controller
     * @param operationId
     * @returns {function(*=, *=)|null}
     */
    createControllerArgHandler(controller: any, operationId: string): Function | void;
}
