import { BaseSingletonDefinition } from '../ioc/objectdefinition/BaseSingletonDefinition';
import { AbstractObjectDefinitionInspector } from '../ioc/AbstractObjectDefinitionInspector';
import { SingletonDefinition } from '../ioc/objectdefinition/SingletonDefinition';
import { RouteRegisterUtil } from './WebPlugin';
export declare class WebRoutingInspector extends AbstractObjectDefinitionInspector {
    definition: BaseSingletonDefinition<RouteRegisterUtil>;
    routesToRegister: any[];
    constructor(definition: BaseSingletonDefinition<RouteRegisterUtil>);
    interestedIn(objectDefinition: any): boolean;
    /**
     * @param {SingletonDefinition} objectDefinition singleton definition
     */
    doInspect(objectDefinition: SingletonDefinition<any>): void;
    private processRoutes;
}
